ContainerType (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api, enum: ContainerType

Package org.apache.hadoop.yarn.server.api

# Enum Class ContainerType

java.lang.Object
java.lang.Enum<ContainerType>
org.apache.hadoop.yarn.server.api.ContainerType

All Implemented Interfaces:
  `Serializable`, `Comparable<ContainerType>`, `Constable`

public enum ContainerType extends Enum<ContainerType>
Container property encoding allocation and execution semantics.

The container types are the following:

- `APPLICATION_MASTER`
- `TASK`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATION_MASTER`
  `TASK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContainerType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContainerType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### APPLICATION_MASTER

    public static final ContainerType APPLICATION_MASTER

  - ### TASK

    public static final ContainerType TASK

- ## Method Details

  - ### values

    public static ContainerType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContainerType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null